/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube;
import java.lang.*;
import java.util.*;
/*
 * Class , delivers file structure of CubeX
 *
 */
public class Ident
{
    protected int id;
//     @SuppressWarnings("unchecked")
    public Ident()
    {
        id = -1;
    }
    public Ident( int _id )
    {
        id = _id;
    }

    public int
    getId()
    {
        return id;
    }
    public void
    setId( int _id )
    {
        id = _id;
    }
}
